diff a/src/hotspot/share/oops/constMethodFlags.hpp b/src/hotspot/share/oops/constMethodFlags.hpp
--- a/src/hotspot/share/oops/constMethodFlags.hpp
+++ b/src/hotspot/share/oops/constMethodFlags.hpp
@@ -58,11 +58,16 @@
    flag(is_scoped                 , 1 << 16) \
    flag(changes_current_thread    , 1 << 17) \
    flag(jvmti_mount_transition    , 1 << 18) \
    flag(deprecated                , 1 << 19) \
    flag(deprecated_for_removal    , 1 << 20) \
-   flag(jvmti_hide_events         , 1 << 21) \
+   flag(has_scalarized_args       , 1 << 21) \
+   flag(has_scalarized_return     , 1 << 22) \
+   flag(c1_needs_stack_repair     , 1 << 23) \
+   flag(c2_needs_stack_repair     , 1 << 24) \
+   flag(mismatch                  , 1 << 25) \
+   flag(jvmti_hide_events         , 1 << 26) \
    /* end of list */
 
 #define CM_FLAGS_ENUM_NAME(name, value)    _misc_##name = value,
   enum {
     CM_FLAGS_DO(CM_FLAGS_ENUM_NAME)
